### Method

# Gimp Vector3 inner_product_val

#### Declaration [src]

    gdouble
    gimp_vector3_inner_product_val (
      GimpVector3 vector1,
      GimpVector3 vector2
    )

#### Description [src]

Identical to `gimp_vector3_inner_product()`, but the vectors are passed by value rather than by reference.

#### Parameters

`vector2`

  Type: `GimpVector3`

  The second `GimpVector3`.

#### Return value

Type: `gdouble`

The inner product.